void SL_Reinit()
{
	ref pc = GetMainCharacter();
	ref ch;
	int n;

	Trace("Gauging: FBQ");
	// CatalinaThePirate - Fred Bob Quest -->
	if (GetCharacterIndex("Estrella de Alencar") >= 0)		// this looks for Estrella, and if it finds her, sets the 'Catalina_FBQ_Initialised' property to 'true'
	{
		if(LogsToggle) Log_SetStringToLog(TranslateString("", "FBQ characters and items already initialised."));
		pc.Catalina_FBQ_Initialised = true;
	}
	else
	//if (!CheckAttribute(pc,"Catalina_FBQ_Initialised"))		// only runs if the 'Catalina_FBQ_Initialised' property has not been set
	{
		pc.Catalina_FBQ_Initialised = true;
		if(LogsToggle) Log_SetStringToLog(TranslateString("","Initialising new FBQ characters and items..."));

		// new character: Estrella de Alençar
		n = GetCharacterIndex("Estrella de Alencar");
		if(n == -1)
		{
			n = FindBlankCharSlot();
			CHARACTERS_QUANTITY++; // NK 05-04-05
			makeref(ch,Characters[n]);
			ch.nation = SPAIN;
			ch.old.name = "Estrella"; // MAXIMUS 16.10.2006
			ch.old.lastname = "de Alencar"; // MAXIMUS 16.10.2006
			ch.name 	= TranslateString("","Estrella");
			ch.lastname 	= TranslateString("","de Alencar");
			ch.id		= "Estrella de Alencar";
			ch.model = "imgovwife";
			ch.sex = "woman";
			ch.activity_begin = "0";
			ch.activity_end = "24";
			ch.location	= "";
			ch.location.group = "";
			ch.location.locator = "";
			ch.Dialog.Filename = "Estrella De Alencar_dialog.c";
			ch.greeting = "Gr_Estrella";
			ch.rank 	= 1;
			ch.reputation = "None";
			ch.experience = "0";
			ch.skill.Leadership = "1";
			ch.skill.Fencing = "1";
			ch.skill.Sailing = "1";
			ch.skill.Accuracy = "1";
			ch.skill.Cannons = "1";
			ch.skill.Grappling = "1";
			ch.skill.Repair = "1";
			ch.skill.Defence = "1";
			ch.skill.Commerce = "1";
			ch.skill.Sneak = "1";
			ch.money = "10";
			ch.quest.meeting = "0";
			Lai_SetImmortal(ch, true);
			LAi_SetStayType(ch);    
			LAi_group_MoveCharacter(ch, "SPAIN_CITIZENS");
			ch.model.animation = "woman";
			ch.model.height = 1.75;
			facemaker(ch);
		}

		// new character: Estrella Disguised
		n = GetCharacterIndex("Estrella Disguised");
		if(n == -1)
		{
			n = FindBlankCharSlot();
			CHARACTERS_QUANTITY++; // NK 05-04-05
			makeref(ch,Characters[n]);
			ch.old.name = "Estrella"; // MAXIMUS 16.10.2006
			ch.old.lastname = "Disguised"; // MAXIMUS 16.10.2006
			ch.name 	= TranslateString("","Estrella");
			ch.lastname = TranslateString("","Disguised");
			ch.id		= "Estrella Disguised";
			ch.model	= "Animistse";
			ch.sex = "man";
			ch.location	= "";
			ch.location.group = "";
			ch.location.locator = "";
			ch.Dialog.Filename = "Estrella Disguised_dialog.c";
			ch.nation = SPAIN;
			GiveItem2Character(ch, GUN_COMMON);
			ch.equip.gun = GUN_COMMON;
		     //JRH ammo mod --->
			if (ENABLE_AMMOMOD) {			// LDH added check
				TakenItems(ch, "gunpowder", 6);
				TakenItems(ch, "pistolbullets", 6);
			}
  	     	//JRH ammo mod <---
			GiveItem2Character(ch, BLADE_LONG);
			ch.equip.blade = BLADE_LONG;
			ch.rank 	= 20;
			ch.reputation = "60";
			ch.experience = "250000";
			ch.skill.Leadership = "3";
			ch.skill.Fencing = "10";
			ch.skill.Sailing = "2";
			ch.skill.Accuracy = "1";
			ch.skill.Cannons = "1";
			ch.skill.Grappling = "1";
			ch.skill.Repair = "1";
			ch.skill.Defence = "1";
			ch.skill.Commerce = "1";
			ch.skill.Sneak = "10";
			ch.money = "40000";
			Lai_SetImmortal(ch, true);
			LAi_SetLoginTime(ch, 0.0, 24.0);
			LAi_SetHP(ch, 160.0, 160.0);
			LAi_group_MoveCharacter(ch, "SPAIN_CITIZENS");
			ch.greeting = "Gr_Estrella";
			ch.model.animation = "man";
			ch.model.height = 1.8;
			facemaker(ch);
		}

		// new character: Fred Bob
		n = GetCharacterIndex("Fred Bob");
		if(n == -1)
		{
			n = FindBlankCharSlot();
			CHARACTERS_QUANTITY++; // NK 05-04-05
			makeref(ch,Characters[n]);
			ch.old.name = "Fred"; // MAXIMUS 16.10.2006
			ch.old.lastname = "Bob"; // MAXIMUS 16.10.2006
			ch.name 	= TranslateString("","Fred");
			ch.lastname 	= TranslateString("","Bob");
			ch.id		= "Fred Bob";
			ch.model	= "FredBob";
			ch.sex = "man";
			ch.loyality = 15;
			ch.alignment = "good";
			ch.sound_type = "seaman";
			ch.nation	= PIRATE;
			ch.location	= "";
			ch.location.group = "";
			ch.location.locator = "";
			ch.Dialog.Filename = "Fred Bob_dialog.c";
			ch.greeting = "Gr_FredBob";
			ch.rank 	= 28;
			ch.reputation = "64";
			TakeNItems(ch,"medical1", Rand(4)+1);
			ch.experience = "2050000";
			ch.skill.Leadership = "6";
			ch.skill.Fencing = "10";
			ch.skill.Sailing = "10";
			ch.skill.Accuracy = "5";
			ch.skill.Cannons = "5";
			ch.skill.Grappling = "8";
			ch.skill.Repair = "10";
			ch.skill.Defence = "10";
			ch.skill.Commerce = "5";
			ch.skill.Sneak = "10";
			ch.perks.list.BasicDefense = true;
			ch.perks.list.AdvancedDefense = true;
			ch.perks.list.SwordplayProfessional = true;
			ch.perks.list.CriticalHit = true;
			ch.perks.list.Gunman = true;
			ch.perks.list.ProfessionalGunman = true;
			ch.perks.list.Rush = true;
			ch.perks.list.IronWill = true;
			ch.perks.list.FastReload = true;
			ch.perks.list.HullDamageUp = true;
			ch.perks.list.BasicBattleState = true;
			ch.perks.list.LightRepair = true;
			ch.perks.list.SharedExperience = true;
			ch.money = "122";
			ch.quest.help = "0";
			ch.quest.dialog = "0";
			LAi_SetCitizenType(ch);
			LAi_group_MoveCharacter(ch, "ENGLAND_CITIZENS");
			LAi_SetHP(ch, 280.0, 280.0);
			LAi_NoRebirthEnable(ch);
			ch.model.animation = "man";
			ch.model.height = 1.8;
			facemaker(ch);
		}

		// new character: Armand Delacroix
		n = GetCharacterIndex("Armand Delacroix");
		if(n == -1)
		{
			n = FindBlankCharSlot();
			CHARACTERS_QUANTITY++; // NK 05-04-05
			makeref(ch,Characters[n]);
			ch.old.name = "Armand"; // MAXIMUS 16.10.2006
			ch.old.lastname = "Delacroix"; // MAXIMUS 16.10.2006
			ch.name 	= TranslateString("","Armand");
			ch.lastname = TranslateString("","Delacroix");
			ch.id		= "Armand Delacroix";
			ch.model	= "armdelfra";
			ch.sex = "man";
			ch.location	= "";
			ch.location.group = "";
			ch.location.locator = "";
			ch.Dialog.Filename = "Armand Delacroix_dialog.c";
			ch.nation = PIRATE;
			GiveItem2Character(ch, GUN_COMMON);
			ch.equip.gun = GUN_COMMON;
		     //JRH ammo mod --->
			if (ENABLE_AMMOMOD) {			// LDH added check
				TakenItems(ch, "gunpowder", 6);
				TakenItems(ch, "pistolbullets", 6);
			}
  	     	//JRH ammo mod <---
			GiveItem2Character(ch, BLADE_LONG);
			ch.equip.blade = BLADE_LONG;
			ch.rank 	= 20;
			ch.reputation = "25";
			ch.experience = "250000";
			ch.skill.Leadership = "10";
			ch.skill.Fencing = "8";
			ch.skill.Sailing = "6";
			ch.skill.Accuracy = "4";
			ch.skill.Cannons = "7";
			ch.skill.Grappling = "5";
			ch.skill.Repair = "3";
			ch.skill.Defence = "3";
			ch.skill.Commerce = "1";
			ch.skill.Sneak = "10";
			ch.perks.list.BasicDefense = true;
			ch.perks.list.AdvancedDefense = true;
			ch.perks.list.SwordplayProfessional = true;
			ch.perks.list.CriticalHit = true;
			ch.perks.list.Gunman = true;
			ch.perks.list.ProfessionalGunman = true;
			ch.perks.list.Rush = true;
			ch.perks.list.IronWill = true;
			ch.perks.list.FastReload = true;
			ch.perks.list.HullDamageUp = true;
			ch.perks.list.BasicBattleState = true;
			ch.perks.list.LightRepair = true;
			ch.perks.list.SharedExperience = true;
			ch.money = "40000";
	//		ch.Ship.Name = "Voodoo Queen";
	//		ch.ship.type = "Frigate3_" + PIRATE; // PS - SHIP_CORVETTE2_ENGLAND;
	//		ch.ship.cargo.goods.bombs = 1000;
	//		ch.Ship.Stopped = true;
	//		ch.Ship.Cannons.Type = CANNON_TYPE_CANNON_LBS24;
			LAi_SetSitType(ch);
			Lai_SetImmortal(ch, true);
			LAi_SetLoginTime(ch, 0.0, 24.0);
			LAi_SetHP(ch, 160.0, 160.0);
			LAi_group_MoveCharacter(ch, "QC_CITIZENS");
			ch.greeting = "Gr_Armand Delacroix";
			ch.model.animation = "man";
			ch.model.height = 1.8;
			facemaker(ch);
		}

		//new item: letter_reward
		n = GetItemIndex("Letter_Reward");
		if(n == -1)
		{
			n = ITEMS_QUANTITY;
			ITEMS_QUANTITY += 1;
			makeref(ch,Items[n]);
			ch.id = "Letter_Reward";
			ch.name = "itmname_letter_reward";
			ch.describe = "itmdescr_letter_reward";
			ch.model = "";
			ch.picIndex = 11;
			ch.picTexture = "ITEMS_4";
			// NK -->
			ch.skiptrade = true;
			ch.skiprand = true;
			ch.skipequip = true;
			// NK <--
	//		ch.shown = false;
			ch.price = 0;
			ch.minlevel = 1;
		}

		//new item: estrella_token
		n = GetItemIndex("estrella_token");
		if(n == -1)
		{
			n = ITEMS_QUANTITY;
			ITEMS_QUANTITY += 1;
			makeref(ch,Items[n]);
			ch.id = "estrella_token";
			ch.name = "itmname_estrella_token";
			ch.describe = "itmdescr_estrella_token";
			ch.model = "";
			ch.picIndex = 13;
			ch.picTexture = "ITEMS_8";
			// NK -->
			ch.skiptrade = true;
			ch.skiprand = true;
			ch.skipequip = true;
			// NK <--
	//		ch.shown = false;
			ch.price = 0;
			ch.minlevel = 1;
		}
	}
	// <-- CatalinaThePirate - Fred Bob Quest

// KK -->
	aref arMap;
	if (Items_FindItem("mapKhaelRoa_TempleGround", &arMap) >= 0) {
		arMap.price = 0;
		arMap.skiptrade = true;
		arMap.skipsell = true;
	}
	if (Items_FindItem("mapKhaelRoa_TempleUpper", &arMap) >= 0) {
		arMap.price = 0;
		arMap.skiptrade = true;
		arMap.skipsell = true;
	}

	if (sti(GetStorylineVar(FindCurrentStoryline(), "EVIL_STORMY_START")) == true) {
		ShipsTypes[GetShipIndex("Tartane1")].MinCrew = 1;
		ShipsTypes[GetShipIndex("Tartane1")].Price = 100;
		ShipsTypes[GetShipIndex("Tartane2")].MinCrew = 1;
		ShipsTypes[GetShipIndex("Tartane2")].Price = 100;
		ShipsTypes[GetShipIndex("Gunboat")].Price = 4500;
		ShipsTypes[GetShipIndex("Tartane3")].Price = 8000;
	}
// <-- KK
}
